Skip to main content
Back to API List

Import data by accountId and orgId (v2)

To save/import data, which is one of (skillsGroups, Queues, StandardResponses, Waiting Experience), by giving details with the accountId and orgId.
PropertyValue
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/analytics/{{botId}}/storeSmartAssistFunctionalities?accountId={{accountId}}&orgId={{orgId}}&type=skillGroups
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Import and Export Feature

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aiString, Required
botIdbotId or streamId. You can get it from the App Settings page.String, Required

Query Parameters

ParameterDescriptionType
accountIdThe account ID associated with the API request.String, Required
orgIdThe unique identifier of the organization.String, Required
typeType of entity to retrieve. For example, skillGroups.String, Required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/analytics/{{IId}}/storeSmartAssistFunctionalities?accountId={{accountId}}&orgId={{orgId}}&type=skillGroups' \
--header 'auth: <your-auth-token>' \
--header 'accountId: {{accountId}}' \
--header 'Content-Type: application/json' \
--data '{
  "data": [
    {
      "_id": "6656d350463a7e1fc890xxxx",
      "name": "Default SkillGroup",
      "description": "Default SkillGroup(Auto Created).",
      "status": "ACTIVE",
      "color": "#D2000D",
      "skills": [
        {
          "_id": "6656d350463a7e1fc890xxxx",
          "name": "Default Skill",
          "isDefault": true,
          "description": "Default Skill(Auto Created).",
          "status": "ACTIVE",
          "lname": "default skill",
          "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
          "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
        }
      ],
      "lname": "default skillgroup",
      "isDefault": true,
      "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
      "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx",
      "agentGroups": [],
      "agents": []
    }
  ],
  "metaData": {
    "userId": "u-82e335e6-15c9-5ae3-bde4-8dfe7364xxxx",
    "orgId": "o-7d15bb88-f5bb-5449-9190-87a05553xxxx",
    "type": "skillGroups",
    "accountId": "67ee382b8226ebf4d953xxxx"
  }
}'

Request Header Parameters

HeaderDescriptionType
authJWT token for authentication.Required
accountIdThe account ID associated with the API request.Required
Content-Typeapplication/json.Required

Body Parameters

ParameterDescriptionType
dataThe data that’s imported.Array, Required
data[]->_idUnique identifier for the SkillGroup.String, Required
data[]->nameDisplay name of the SkillGroup.String, Required
data[]->descriptionDescription of the SkillGroup.String, Optional
data[]->statusStatus of the SkillGroup. Example: ACTIVE.String, Required
data[]->colorHex color code for UI representation.String, Optional
data[]->lnameLowercase name of the SkillGroup.String, Optional
data[]->isDefaultIndicates if it’s the default SkillGroup.Boolean, Required
data[]->iIdStream or application ID associated with the SkillGroup.String, Required
data[]->createdByAIdID of the agent who created the SkillGroup.String, Required
data[]->agentGroupsList of associated agent group IDs.Array, Optional
data[]->agentsList of agent IDs assigned to this SkillGroup.Array, Optional
data[]->skillsAn array of Skill objects in the SkillGroup.Array, Optional
data[]->skills[]->_idUnique ID for the Skill.String, Required
data[]->skills[]->nameName of the Skill.String, Required
data[]->skills[]->isDefaultIndicates if the Skill is the default.Boolean, Required
data[]->skills[]->descriptionDescription of the Skill.String, Optional
data[]->skills[]->statusStatus of the Skill. Example: ACTIVE.String, Required
data[]->skills[]->lnameLowercase name of the Skill.String, Optional
data[]->skills[]->iIdStream or application ID associated with the Skill.String, Required
data[]->skills[]->createdByAIdID of the agent who created the Skill.String, Required
data[]->skills[]->agentsAgents associated with the Skill.Array, Optional
metaData->userIdID of the user initiating the request.String, Required
metaData->orgIdThe organization ID.String, Required
metaData->typeType of functionality; must be skillGroups.String, Required
metaData->accountIdAccount ID associated with the SkillGroups.String, Required

Sample Response

{
    "msg": "Imported skill groups data successfully"
}